/*******************************************************************************
 * Copyright (c) 2004, 2008 John Krasnay and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     John Krasnay - initial API and implementation
 *******************************************************************************/
package org.eclipse.wst.xml.vex.core.internal.swing;

import org.eclipse.wst.xml.vex.core.internal.widget.VexWidgetImpl;

/**
 * Generated by a {@VexComponent} when it gains focus, when its caret moves, 
 * and when its selection changes.
 */
public class VexComponentSelection implements Selection {

    private VexWidgetImpl vexComponent;
    
    /**
     * Class constructor.
     * @param vexComponent Component that is generating this change.
     */
    public VexComponentSelection(VexWidgetImpl vexComponent) {
        this.vexComponent = vexComponent;
    }
    
    /**
     * @return {@link VexComponent} that generated this selection event.
     */
    public VexWidgetImpl getVexComponent() {
        return this.vexComponent;
    }
}
